Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.saxpath
Class XPathSyntaxException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jaxen.saxpath.SAXPathException
                  org.jaxen.saxpath.XPathSyntaxException

All Implemented Interfaces:
  Serializable

public class XPathSyntaxException
extends SAXPathException

Represents a syntax error in an XPath expression. This is a compile-time error that is detectable irrespective of the context in which the XPath expression is evaluated.

See Also:
  Serialized Form

Constructor Summary
`XPathSyntaxException(String xpath, int position, String message)` Creates a new XPathSyntaxException.

Method Summary
`String` | `getMultilineMessage()` Returns a long formatted description of the error, including line breaks.
`int` | `getPosition()` Returns the index of the character at which the syntax error was detected in the XPath expression.
`String` | `getXPath()` Returns the syntactically incorrect XPath expression.
`String` | `toString()`

Methods inherited from class org.jaxen.saxpath.SAXPathException
`getCause, initCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathSyntaxException

    public XPathSyntaxException(String xpath,
                                int position,
                                String message)

  Creates a new XPathSyntaxException.

Parameters:
  `xpath` - the incorrect XPath expression
  `position` - the index of the character at which the syntax error was detected
  `message` - the detail message

Method Detail

### getPosition

    public int getPosition()

  Returns the index of the character at which the syntax error was detected in the XPath expression.

  Returns:
    the character index in the XPath expression at which the syntax error was detected

### getXPath

    public String getXPath()

  Returns the syntactically incorrect XPath expression.

  Returns:
    the syntactically incorrect XPath expression

### toString

    public String toString()

### getMultilineMessage

    public String getMultilineMessage()

  Returns a long formatted description of the error, including line breaks.

  Returns:
    a longer description of the error on multiple lines

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.